import requests

def alt(latitude, longitude):
	# URL de l'API Geonames
	
	http://api.geonames.org/srtm1?lats=50.01,51.01&lngs=10.2,11.2&username=demo
	url = f'http://api.geonames.org/srtm3JSON?lat={latitude}&lng={longitude}&username=faloro'

	try:
		response = requests.get(url)
		
		if response.status_code == 200:
			data = response.json()
			
			if 'srtm3' in data:
				elevation = data['srtm3']
				return elevation
			else:
				print(data)
				#print("Impossible d'obtenir l'altitude pour les coordonnées spécifiées.")
		else:
			print(f"Erreur de réponse de l'API. Code de statut : {response.status_code}")
	except requests.exceptions.RequestException as e:
		print(f"Une erreur s'est produite lors de la requête : {e}")
